﻿using LawFirmDataModels.Models;
using LawFirmContracts.Attributes;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LawFirmContracts.ViewModels
{
    public class DocumentViewModel : IDocumentModel
    {
		[Column(visible: false)]
		public int Id { get; set; }
		[Column("Название пакета документов", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
		public string DocumentName { get; set; } = string.Empty;
		[Column("Цена", width: 100)]
		public double Price { get; set; }
		[Column(visible: false)]
		public Dictionary<int, (IComponentModel, int)> DocumentComponents
        {
            get;
            set;
        } = new();

    }
}
